summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/duply/README15
-rw-r--r--system/duply/duply.SlackBuild75
-rw-r--r--system/duply/duply.info10
-rw-r--r--system/duply/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/system/duply/README b/system/duply/README
new file mode 100644
index 0000000000..a4f67ca409
--- /dev/null
+++ b/system/duply/README
@@ -0,0 +1,15 @@
+duply - A shell front end for duplicity
+
+duply is a frontend for the mighty duplicity magic. duplicity is a
+python based shell application that makes encrypted incremental
+backups to remote storage. Different backends liek ftp, sftp, imap,
+s3 and others are supported.
+
+duply simplifies running duplicity with cron or on command line by:
+- keeping recurring settings in profiles per backup job
+- automated import/export of keys between profile and keyring
+- enabling batch operations eg. backup_verify_purge
+- executing pre/post scripts
+- precondition checking for flawless duplicity operation
+
+For S3 support install boto
diff --git a/system/duply/duply.SlackBuild b/system/duply/duply.SlackBuild
new file mode 100644
index 0000000000..1cfe4be321
--- /dev/null
+++ b/system/duply/duply.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for duply
+
+# Copyright 2019 Jeff Parent <jeff@commentedcode.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=duply
+VERSION=${VERSION:-2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM\_$VERSION
+tar xvf $CWD/$PRGNAM\_$VERSION.tgz
+cd $PRGNAM\_$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i $'s|^DEFAULT_PYTHON=\'python\'$|DEFAULT_PYTHON=\'python2\'|' duply
+sed -i 's|^#PYTHON="python"$|#PYTHON="python2"|' duply
+
+install -Dm755 "duply" "$PKG/usr/bin/duply"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ INSTALL.txt \
+ gpl-2.0.txt \
+ CHANGELOG.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/duply/duply.info b/system/duply/duply.info
new file mode 100644
index 0000000000..b78b1b2e19
--- /dev/null
+++ b/system/duply/duply.info
@@ -0,0 +1,10 @@
+PRGNAM="duply"
+VERSION="2.2"
+HOMEPAGE="https://duply.net"
+DOWNLOAD="https://phoenixnap.dl.sourceforge.net/project/ftplicity/duply%20%28simple%20duplicity%29/2.2.x/duply_2.2.tgz"
+MD5SUM="1ea50f06e51f389c1f4075c2dbaecbc5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="duplicity"
+MAINTAINER="Jeff Parent"
+EMAIL="jeff@sh0.xyz"
diff --git a/system/duply/slack-desc b/system/duply/slack-desc
new file mode 100644
index 0000000000..ba313b6ae0
--- /dev/null
+++ b/system/duply/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+duply: duply (A shell front end for duplicity)
+duply:
+duply: duply simplifies running duplicity with cron or on command line by:
+duply: - keeping recurring settings in profiles per backup job
+duply: - automated import/export of keys between profile and keyring
+duply: - enabling batch operations eg. backup_verify_purge
+duply: - executing pre/post scripts
+duply: - precondition checking for flawless duplicity operation
+duply:
+duply: https://duply.net
+duply: